[apache-james-project] Build from clean tarball

Michal Srb msrb at fedoraproject.org
Wed Jul 17 06:01:06 UTC 2013


commit 55a4723b70a9074f595fe23e8548168e0c1e142f
Author: Michal Srb <msrb at redhat.com>
Date:   Wed Jul 17 07:59:04 2013 +0200

    Build from clean tarball

 .gitignore                |    1 +
 apache-james-project.spec |    8 ++++++--
 create-tarball.sh         |   17 +++++++++++++++++
 sources                   |    2 +-
 4 files changed, 25 insertions(+), 3 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 450ec8d..01c5597 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
 /james-parent-1.5-source-release.zip
 /james-parent-1.6-source-release.zip
 /james-project-1.8.1-source-release.zip
+/james-project-1.8.1-clean.tar.gz
diff --git a/apache-james-project.spec b/apache-james-project.spec
index 2982bb2..a21d25c 100644
--- a/apache-james-project.spec
+++ b/apache-james-project.spec
@@ -3,12 +3,13 @@
 
 Name:             %{short_name}-project
 Version:          1.8.1
-Release:          3%{?dist}
+Release:          4%{?dist}
 Summary:          Main project POM files and resources
 License:          ASL 2.0
 Group:            Development/Libraries
 URL:              http://james.apache.org/
-Source0:          http://repo1.maven.org/maven2/org/apache/james/james-project/%{version}/james-project-%{version}-source-release.zip
+# ./create-tarball.sh %%{VERSION}
+Source0:          james-project-1.8.1-clean.tar.gz
 BuildArch:        noarch
 
 BuildRequires:    java-devel >= 1:1.6.0
@@ -35,6 +36,9 @@ Main project POM files and resources for Apache James project
 %doc LICENSE NOTICE
 
 %changelog
+* Wed Jul 17 2013 Michal Srb <msrb at redhat.com> - 1.8.1-4
+- Build from clean tarball
+
 * Thu Feb  7 2013 Mikolaj Izdebski <mizdebsk at redhat.com> - 1.8.1-3
 - Fix maven-local BR
 
diff --git a/create-tarball.sh b/create-tarball.sh
new file mode 100755
index 0000000..5d6ce98
--- /dev/null
+++ b/create-tarball.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+    echo "Usage: ./create-tarball VERSION"
+    exit 1
+fi
+
+VERSION=${1}
+NAME="james-project"
+
+wget http://repo1.maven.org/maven2/org/apache/james/${NAME}/${VERSION}/${NAME}-${VERSION}-source-release.zip
+unzip ${NAME}-${VERSION}-source-release.zip
+rm ${NAME}-${VERSION}-source-release.zip
+# remove site - it contains bundled javascript project galleria (MIT license not included)
+rm -Rf ./${NAME}-${VERSION}/src/*
+tar czvf ${NAME}-${VERSION}-clean.tar.gz ./${NAME}-${VERSION}
+
diff --git a/sources b/sources
index 2b3ad47..412c901 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-8749094687d92720e2f357df0619b4a0  james-project-1.8.1-source-release.zip
+85ca3aff3880645c6735e3bbc7f6b80c  james-project-1.8.1-clean.tar.gz


More information about the scm-commits mailing list